﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}
.container {
    max-width: 85% !important;
}
.card {
    margin:15px;
}
body {
    padding-top: 65px;
}

/* Hover sulle righe */
.table-hover tbody tr:hover {
    background-color: #f1f3f5;
}



/* --- Responsive design per tablet e mobile --- */
@media (max-width: 992px) {
    /* Riduce font e padding */
    table {
        font-size: 0.9rem;
    }

    .table td, .table th {
        padding: 0.5rem;
        vertical-align: middle;
    }

    /* Pulsanti vanno a capo */
    .btn-group {
        flex-wrap: wrap;
    }

        .btn-group .btn {
            flex: 1 1 45%;
            margin-bottom: 4px;
        }

    td:last-child {
        text-align: center;
    }
}

@media (max-width: 576px) {
    /* Tabella scrollabile orizzontalmente */
    .table-responsive {
        overflow-x: auto;
    }

        .table-responsive table {
            min-width: 700px;
        }
    /* Bottoni più piccoli */
    .btn-group .btn {
        font-size: 0.8rem;
        padding: 0.3rem 0.5rem;
    }
    
}

